TemplateXFcHashtableNode< Key, Value > class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcHashtableNode< Key, Value > Class Template Reference

Hashtable node template. More...

Inheritance diagram for XFcHashtableNode< Key, Value >:

[legend]
Collaboration diagram for XFcHashtableNode< Key, Value >:

[legend]
List of all members.

## Public Member Functions

void | set (const Key aKey, const Value aValue, const INT32 aBucketIndex)
| Sets the key, value and bucket index of this node.
Key | getKey () const
| Returns the key of this node.
Value | getValue () const
| Returns the value of this node.
Value | setValue (const Value aValue)
| Sets the value of this node.
INT32 | getBucketIndex () const
| Returns the bucket index of this node.
| XFcHashtableNode (const Key aKey, const Value aValue, const INT32 aBucketIndex)
| Creates a node with specified key and value.

## Protected Attributes

Key | mKey
| Key of this node.
Value | mValue
| Value of this node.
INT32 | mBucketIndex
| Bucket index of this node.

## Detailed Description

### template<class Key, class Value>
class XFcHashtableNode< Key, Value >

Hashtable node template.

## Constructor & Destructor Documentation

template<class Key, class Value>
XFcHashtableNode< Key, Value >::XFcHashtableNode | ( | const Key | aKey,
|  | const Value | aValue,
|  | const INT32 | aBucketIndex
| ) |

Creates a node with specified key and value.

Parameters:

  aKey | key of the new node.
  aValue | value of the new node.
  aBucketIndex | bucket index of the new node.

## Member Function Documentation

template<class Key, class Value>
INT32 XFcHashtableNode< Key, Value >::getBucketIndex | ( |  | ) | const

| Returns the bucket index of this node.

template<class Key, class Value>
Key XFcHashtableNode< Key, Value >::getKey | ( |  | ) | const

| Returns the key of this node.

template<class Key, class Value>
Value XFcHashtableNode< Key, Value >::getValue | ( |  | ) | const

| Returns the value of this node.

template<class Key, class Value>
void XFcHashtableNode< Key, Value >::set | ( | const Key | aKey,
|  | const Value | aValue,
|  | const INT32 | aBucketIndex
| ) |

| Sets the key, value and bucket index of this node.

template<class Key, class Value>
Value XFcHashtableNode< Key, Value >::setValue | ( | const Value | aValue | ) |

Sets the value of this node.

Parameters:

  aValue | new value for the node.

Returns:
  previous value.

## Member Data Documentation

template<class Key, class Value>
INT32 XFcHashtableNode< Key, Value >::mBucketIndex`[protected]`

| Bucket index of this node.

template<class Key, class Value>
Key XFcHashtableNode< Key, Value >::mKey`[protected]`

| Key of this node.

template<class Key, class Value>
Value XFcHashtableNode< Key, Value >::mValue`[protected]`

| Value of this node.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch